FROM golang:1.12-alpine as builder
WORKDIR /data
RUN apk add --no-cache make git build-base
COPY . .
RUN go build -o geoip .

FROM alpine:latest
WORKDIR /data
COPY --from=builder /data/geoip /usr/bin
COPY scripts/download-geodb.sh /usr/bin
RUN apk add --no-cache ca-certificates wget curl && \
  /usr/bin/download-geodb.sh
EXPOSE 10230
CMD ["/usr/bin/geoip"]
